Xalan-Java 2.7.1: Class SAXSourceLocator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class SAXSourceLocator

    java.lang.Object
      |
      +--org.xml.sax.helpers.LocatorImpl
            |
            +--org.apache.xml.utils.SAXSourceLocator

public class SAXSourceLocator
extends LocatorImpl
implements SourceLocator, java.io.Serializable

Class SAXSourceLocator extends org.xml.sax.helpers.LocatorImpl for the purpose of implementing the SourceLocator interface, and thus can be both a SourceLocator and a SAX Locator.

See Also:
  Serialized Form

Constructor Summary
`SAXSourceLocator()` Constructor SAXSourceLocator
`SAXSourceLocator(Locator locator)` Constructor SAXSourceLocator
`SAXSourceLocator(SAXParseException spe)` Constructor SAXSourceLocator
`SAXSourceLocator(SourceLocator locator)` Constructor SAXSourceLocator

Method Summary
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.

Methods inherited from class org.xml.sax.helpers.LocatorImpl
`setColumnNumber, setLineNumber, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXSourceLocator

    public SAXSourceLocator()

  Constructor SAXSourceLocator

### SAXSourceLocator

    public SAXSourceLocator(Locator locator)

  Constructor SAXSourceLocator
  Parameters:
    `locator` - Source locator

### SAXSourceLocator

    public SAXSourceLocator(SourceLocator locator)

  Constructor SAXSourceLocator
  Parameters:
    `locator` - Source locator

### SAXSourceLocator

    public SAXSourceLocator(SAXParseException spe)

  Constructor SAXSourceLocator
  Parameters:
    `spe` - SAXParseException exception.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    getPublicId in interface SourceLocator
  Returns:
    A string containing the public identifier, or null if none is available.
  Overrides:
    getPublicId in class LocatorImpl
  See Also:
    `getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    getSystemId in interface SourceLocator
  Returns:
    A string containing the system identifier, or null if none is available.
  Overrides:
    getSystemId in class LocatorImpl
  See Also:
    `getPublicId()`

### getLineNumber

    public int getLineNumber()

  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  Specified by:
    getLineNumber in interface SourceLocator
  Returns:
    The line number, or -1 if none is available.
  Overrides:
    getLineNumber in class LocatorImpl
  See Also:
    `getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  Specified by:
    getColumnNumber in interface SourceLocator
  Returns:
    The column number, or -1 if none is available.
  Overrides:
    getColumnNumber in class LocatorImpl
  See Also:
    `getLineNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.